View Issue Details

IDProjectCategoryView StatusLast Update
0001843SymmetricDSBugpublic2019-04-26 11:23
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001843: Oracle dialect has static "sym" prefix on objects
DescriptionThe Oracle dialect has a hard-coded "sym" prefix when referencing some objects. Some installations will change the "sym" prefix in order to have multiple installations. The second installation could have effects of reusing the objects, such as sequence gaps and ping back of batches.
TagsNo tags attached.

Relationships

has duplicate 0001669 closedelong Oracle triggers fail to compile when using custom sync.table.prefix 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master e5c63bee

2014-07-29 08:50:39

erilong

Details Diff
0001843: Oracle dialect has static "sym" prefix on objects
0001843
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2014-07-29 08:48 elong New Issue
2014-07-29 08:48 elong Status new => assigned
2014-07-29 08:48 elong Assigned To => elong
2014-07-29 09:00 Changeset attached => SymmetricDS trunk r8527
2014-07-29 16:48 chenson Status assigned => resolved
2014-07-29 16:48 chenson Fixed in Version => 3.6.3
2014-07-29 16:48 chenson Resolution open => fixed
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master e5c63bee
2019-04-26 11:23 elong Relationship added has duplicate 0001669